Subject: bug#60854: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Mar 2023 10:00:04 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 31 Mar 2023 09:19:26 +0300
> 
> On Fri, 2023-03-31 at 08:55 +0300, Eli Zaretskii wrote:
> > > From: Konstantin Kharlamov <[email-masked]>
> > > Date: Thu, 30 Mar 2023 23:58:06 +0300
> > > 
> > > Given release is pretty close, how about at least replacing the emoji to
> > > radio
> > > button? 🔘 This way it would be clearly a button, and also wouldn't have any
> > > reds in it
> > 
> > Who says this character is widespread enough for us to use it?
> 
> 🔘 was approved to Unicode in 2010¹. In comparison, the ⛔ character being used
> now was approved in 2009². Also, both characters were part of the same release
> Emoji Version 1.0.
> 
> So I guess, there shouldn't be much difference?

What matters for Emacs is the support of these characters by popular
fonts out there, not since when are their codepoints defined.

> > Anyway, I see no reason to rush with this.  The current situation is
> > not really that bad, considering that these messages should not be
> > shown too frequently.
> 
> My experience is the opposite, which is why I'm pinging this issue. When native
> compilation is enabled (which is guess is what we'd prefer to see as it improves
> performance for our users), it is shown every time stuff from ELPA gets byte-
> recompiled. That is, every time you install or update packages, you will get
> some warnings.

My advice is to invest efforts in fixing the problems which cause
those warnings instead of in looking for better symbols that are shown
when the warnings are emitted.